<?php

namespace App\Models;

class PlaceCategoryFieldMapping extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'place_category_field_mapping';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return mixed
     */


    public function propertyPlaceCategory()
    {
        return $this->hasOne('App\Models\PropertyPlaceCategory','id', 'property_place_category_id')
            ->select("id",  "name", "language_key",  "parent_id", "level","order_number","icon") ;

    }


    public function placeCategoryField()
    {
        return $this->hasOne('App\Models\PlaceCategoryField','id', 'property_place_category_field_id')
            ->select("id",  "name", "language_key",  "label", "element","type","field_attribute", "status") ;

    }

}
